## bash8 0.1.1

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
Babel>=0.9.6
