=== debian/changelog ===
bash8 (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #748383)

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 May 2014 02:04:04 +0800
