=== debian/control ===
Source: bash8
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 0.5.21),
               python3-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-oslosphinx,
                     python-subunit,
                     python-testscenarios (>=0.4),
                     python-testtools (>= 0.9.32),
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/bash8.git
Vcs-Git: git://anonscm.debian.org/openstack/bash8.git
Homepage: https://github.com/openstack-dev/bash8

Package: python-bash8
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-pbr (>= 0.5.21),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: bash script style guide checker - Python 2.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 2.x module and command line utility.

Package: python3-bash8
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel,
         python3-pbr (>= 0.5.21),
         ${misc:Depends},
         ${python3:Depends}
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

Package: python-bash8-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.
