=== debian/watch ===
version=3
https://github.com/openstack-dev/bash8/tags .*/(\d[\d\.]+)\.tar\.gz
